curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/{webhook_id}/replay' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"queued": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Replay a webhook event (operator tooling).
Replay a webhook event (operator tooling).
POST
/
v1
/
tenants
/
{tenant_id}
/
webhook-events
/
{webhook_id}
/
replay
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/{webhook_id}/replay' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"queued": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Tenant identifier
string (uuid)
required
Webhook event identifier
Response
object
boolean
required
string (uuid)
required
Status codes
| Code | Meaning |
|---|---|
202 | Replay queued |
401 | Unauthorized |
404 | Webhook event not found |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/{webhook_id}/replay' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"queued": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026